Get Summaries
curl --request GET \
--url https://api.rated.network/v0/eth/operators \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/eth/operators"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/eth/operators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": {
"from": 123,
"to": 123,
"size": 10,
"granularity": "hour",
"filterType": "hour"
},
"total": 1,
"data": [
{
"avgCorrectness": 0.9872805930783213,
"avgInclusionDelay": 1.0209945048723401,
"avgUptime": 0.9990847259025307,
"avgValidatorEffectiveness": 96.65219797373126,
"clientPercentages": [
{
"client": "Prysm",
"percentage": 0.8462792766083606
},
{
"client": "Nimbus",
"percentage": 0.04797904931317324
},
{
"client": "Teku",
"percentage": 0.034044866093487496
},
{
"client": "Lighthouse",
"percentage": 0.07169680798497875
}
],
"displayName": "0xa40dfee99e1c85dc97fdc594b16a460717838703",
"id": "0xa40dfee99e1c85dc97fdc594b16a460717838703",
"idType": "depositAddress",
"networkPenetration": 0.07855633469653803,
"operatorTags": [],
"relayerPercentages": [],
"sumEpochEndBalance": 320000000000000000000,
"sumEpochEndEffectiveBalance": 320000000000000000000,
"timeWindow": "1d",
"validatorCount": 37361
}
],
"next": "<string>"
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Operators
Entity summary statistics
GET
/
v0
/
eth
/
operators
Get Summaries
This endpoint returns summary statistics for all the operators Rated has pre-materialized views on––commensurate to the output you might see on the Rated Network Explorer.
Here’s how to interpret the inputs required to operate it 👇
For an endpoint that returns the same information, but only for a specified entity––rather than a list of entities, see operator summary
| Parameter | Context |
|---|---|
window | The time window of aggregation. You might ask for 1d, 7d, 30d or All-time data |
idType | The type of entity class you would like returned. You might ask for pool, poolShare, nodeOperator, depositAddress or withdrawalAddress |
size | The number of results included per page |
parentId | Specifying a pool or node operator so that the response is focused on the Pool sharesof said entity. |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Query Parameters
Available options:
1d, 7d, 30d, all Available options:
all, cex, lst Available options:
depositAddress, withdrawalAddress, nodeOperator, pool, poolShare, subNodeOperator, entity, validator, privateSet Use parentId